function [flag]=find_location(pos,detector_pos,seq,target_sz,init_pos,video_frames)
    resize_target=[];
    
    im=video_frames{seq.frame-1,1};
    im1=video_frames{1,1};
   
    [~,~,d]=size(im);
    if d>1
        target_patch=rgb2gray(get_pixels( im1, init_pos, target_sz, resize_target));
        tracker_patch=rgb2gray(get_pixels( im, pos, target_sz, resize_target));
        detector_patch=rgb2gray(get_pixels( im, detector_pos, target_sz, resize_target));
    else
        target_patch=(get_pixels( im1, init_pos, target_sz, resize_target));
        tracker_patch=(get_pixels( im, pos, target_sz, resize_target));
        detector_patch=(get_pixels( im, detector_pos, target_sz, resize_target));
    end
    
    C1 = normxcorr2(target_patch,tracker_patch);
    C2 = normxcorr2(target_patch,detector_patch);
    
    tracker_corr=sum(C1(:));
    detector_corr=sum(C2(:));
   
    tracker_corr =(corr2(target_patch,tracker_patch)+tracker_corr)/2; 
    detector_corr = (corr2(target_patch,detector_patch)+detector_corr)/2 ;
    
      mu1=mean(target_patch);
      mu2=mean(tracker_patch);
      mu3=mean(detector_patch);
      c1=cov(double(target_patch));
      c2=cov(double(tracker_patch));
      c3=cov(double(detector_patch));
      C1=(c1+c2)/2;
      C2=(c1+c3)/2;
      [~,p1] = chol(C1);
      [~,p2] = chol(C2);

      if p1==0
          dmu1=(mu1-mu2)/chol(C1);
      else
          dmu1=(mu1-mu2);
      end
      if p2==0
          dmu2=(mu1-mu3)/chol(C2);
      else
          dmu2=(mu1-mu3);
      end
      
      d1=0.125*(dmu1*dmu1')+0.5*log(abs(det(C1/sqrtm(c1*c2))));
      d2=0.125*(dmu2*dmu2')+0.5*log(abs(det(C2/sqrtm(c2*c3))));

      ssim1=ssim(tracker_patch,target_patch);
      ssim2=ssim(tracker_patch,detector_patch);
      
      tracker_similarity=(d1+ssim1+tracker_corr)/3;
      detector_similarity=(d2+ssim2+detector_corr)/3;
      
    if tracker_similarity>detector_similarity
        flag=0;
    else
        flag=1;
    end
end