function [classifier]=train_classifier(object,background,path)
    classes = {'background','object'};
    numberOfClusters = 200; % The number of clusters representing the number of features in the bag of features. Default can be 500.
    ratioOfStrongFeatures =1;% 0.8; % Default can be 0.8
    SVM_Kernel = 'rbf'; % Can be either 'polynomial' or 'rbf' for example.
    SVM_C = 0.1; % Smaller is less overfitting. Default can be 0.1.
  
    no=size(object,1);
    nb=size(background,1);
    
    if exist([path, '/training_data/object'],'dir')
        rmdir([path, '/training_data/object'],'s');
    end
    if exist([path, '/training_data/background'],'dir')
        rmdir([path, '/training_data/background'],'s');
    end
    if exist([path, '/training_data'],'dir')
        rmdir([path, '/training_data'],'s');
    end
    
    mkdir([path, '/training_data/object']);
    for i=1:no
        im=object{i};
        imwrite(im,[path,'\training_data\object\',num2str(i),'.jpg']);
    end   
    
    mkdir([path, '/training_data/background']);
    for i=1:nb
        im=background{i};
        imwrite(im,[path '\training_data\background\',num2str(i),'.jpg']);
    end   
    
    
    imgSets = [];
    for i = 1:length(classes)
        imgSets = [ imgSets, imageSet(fullfile([path, '\training_data\'], classes{i})) ];
    end

    trainingSets=imgSets;

    %% Forming Bag of Features
    % Extracts SURF features from all training images &
    % reducing the number of features through quantization of feature space using K-means clustering
%     fprintf('Extracting Bag of Visual Words features.....\n\n');
    bag = bagOfFeatures(trainingSets, 'StrongestFeatures', ratioOfStrongFeatures, 'VocabularySize', numberOfClusters,'Verbose',0);

    %% Train SVM Classifier
    opts = templateSVM('KernelFunction', SVM_Kernel, 'BoxConstraint', SVM_C);
%     fprintf('Training the classifier...\n\n');
    classifier = trainImageCategoryClassifier(trainingSets, bag, 'LearnerOptions', opts,'Verbose',0);
%     fprintf('Classifier generated.\n\n');
end